package com.bank.it.payees.dto.response;

import lombok.*;
import org.springframework.data.annotation.Id;

import java.io.Serializable;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class PayeeResponse implements Serializable {

    @Id
    private String id;

    private int accountNumber;
    private String accountName;
    private String address;
    private String mobileNumber;
    private String nickName;
    private String branchCode;
    private String branchName;
    private String nationality;
    private int dailyTxnLimit;
}
