package com.bank.it.payees.entity;

import lombok.*;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;


@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "manage_payees_info")
public class PayeeEntity {

    @Id
    private String id;

    private int accountNumber;
    private String accountName;
    private String address;
    private String mobileNumber;
    private String nickName;
    private String branchCode;
    private String branchName;
    private String nationality;
    private int dailyTxnLimit;
}
