package com.bank.it.payees.entity;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.data.annotation.Id;
import org.springframework.data.mongodb.core.mapping.Document;

@Data
@NoArgsConstructor
@AllArgsConstructor
@Document(collection = "updated_payees_info")
public class PayeeUpdateEntity {

    @Id
    private String id;

    private int accountNumber;
    private String accountName;
    private String mobileNumber;
    private String branchCode;
    private String branchName;
    private String status;
    private String updatedDate;
}
