package com.bank.it.payees.repository;

import com.bank.it.payees.entity.PayeeEntity;
import org.springframework.data.mongodb.repository.MongoRepository;
import org.springframework.data.mongodb.repository.Query;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface IManagePayeeRepository extends MongoRepository<PayeeEntity, String> {

    @Query("{accountNumber :?0}")
    Optional<PayeeEntity> getPayeeEntityByAccountNumber(Integer accountNumber);
}
