package com.bank.it.payees.service;

import com.bank.it.payees.dto.request.PayeeRequest;
import com.bank.it.payees.dto.response.PayeeResponse;

import java.util.List;

public interface IManagePayeeService {

    PayeeResponse savePayee(PayeeRequest payeeRequest);
    PayeeResponse updatePayee(PayeeRequest payeeRequest);
    PayeeResponse searchPayee(int accountNumber);
    List<PayeeResponse>  searchPayees();
    String deletePayee(int accountNumber);

}
