package com.bank.it.payees.util;

import org.springframework.stereotype.Component;

import java.util.Random;
import java.util.function.Supplier;
@Component
public class BankAccountNumberGeneratorUtil {

    /**
     * Generate payee account number
     * @return
     */
    public int generatePayeeAccNumber() {

        Random rand = new Random();
        int generatedPayeeAccNumber;
        Supplier<Long> generatePayeeAccNumber = (() -> {
            return 10000000000L + ((long) rand.nextInt(900000000) * 1000) + rand.nextInt(100);
        });

        generatedPayeeAccNumber = generatePayeeAccNumber.get().intValue();
        return generatedPayeeAccNumber;
    }
}